Subject: bug#37485: 27.0.50; C-m in describe-bindings

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 23 Sep 2019 12:38:11 +0200

Eli Zaretskii <[email-masked]> writes:

>> C-c RET b	mml-attach-buffer
>> C-c RET c	Prefix Command
>> 
>> I know that `C-m' and RET is the same key binding, but I also think that
>> when this key is used as a prefix key, I don't think anybody has ever
>> wanted that to be RET instead of `C-m'.
>
> It's a key you press, so I think it's a Good Thing that we use RET
> here.

I'm not sure I understand...

Both RET and C-m are keys we press, but the intended (both mnemonic and
ergonomic) key stroke here is `C-c C-m c' (etc) and not the awkward `C-c
RET c'.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no